unit uTestSintetizadoresMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, FileCtrl, uUtilidadesDirectorios;

type
  TTestSintetizadoresMain = class(TForm)
    lDirectorioATestear: TLabel;
    eDirectorioATestear: TEdit;
    bExaminar: TButton;
    bEjecutar: TButton;
    procedure bExaminarClick(Sender: TObject);
    procedure bEjecutarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TestSintetizadoresMain: TTestSintetizadoresMain;

implementation

{$R *.dfm}

procedure TTestSintetizadoresMain.bEjecutarClick(Sender: TObject);
var
  archivos: TStringList;
begin
  if DirectoryExists(eDirectorioATestear.Text) then
  begin
    archivos := getArchivosEnElDirectorio(eDirectorioATestear.Text, '.txt');


  end;
end;

procedure TTestSintetizadoresMain.bExaminarClick(Sender: TObject);
var
  directorio: String;
begin
  if SelectDirectory('Seleccione el directorio con los sintetizadores a testear', '',
    directorio, [sdNewUI], NIL) then
    eDirectorioATestear.Text := directorio;
end;

end.
